﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=12.2
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Dim cs As CSBuilder
	Private xui As XUI 'ignore
	Private dd As DDD
	Private clv1 As CustomListView
	Private rd1 As RadioButton
	Private rd2 As RadioButton
	Private rd3 As RadioButton
	Private rd4 As RadioButton
	
	'Private cbSold As RadioButton
	
End Sub

'You can add more parameters here.
Public Sub Initialize As Object
	Return Me
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	
	Root = Root1
	'load the layout to Root
	Root.LoadLayout("exampage")
	dd.Initialize
	'The designer script calls the DDD class. A new class instance will be created if needed.
	'In this case we want to create it ourselves as we want to access it in our code.
	xui.RegisterDesignerClass(dd)
	UpdateMenuItems
	For i = 1 To 30
		clv1.Add(CreateListItem($"Item #${i}"$, clv1.AsView.Width, 300dip), $"Item #${i}"$)
	Next
	
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.


Private Sub CreateListItem(Text As String, Width As Int, Height As Int) As B4XView
	Dim p As B4XView = xui.CreatePanel("")
	p.SetLayoutAnimated(0, 0, 0, Width, Height)
	p.LoadLayout("examcontent")
	rd1.Text = Text
	'Note that we call DDD.CollectViewsData in CellItem designer script. This is required if we want to get views with dd.GetViewByName.
	'dd.GetViewByName(p, "Label1").Text = Text
	Return p
End Sub


Private Sub rd1_CheckedChange(Checked As Boolean)
	
End Sub



Private Sub UpdateMenuItems
	
	'add menu items
	'Dim DataBitmap As B4XBitmap
	 cs.Initialize.Typeface(Typeface.FONTAWESOME).Append(Chr(0xF1E1)).Color(Colors.Black).Size(17).Bold.Append(" Submit" ).PopAll
	 B4XPages.MainPage.examPage.B4XPages.AddMenuItem(Me, cs)
	
	
	
	Dim ctxt As JavaObject
	ctxt.InitializeContext
	ctxt.RunMethod("invalidateOptionsMenu", Null)
	
End Sub


Sub B4XPage_MenuClick (Tag As String)
	Log(Tag)
	If Tag.Contains("Submit") Then
		Log("1")
		getAnswers
	End If
End Sub


Private Sub getAnswers
	
	Dim index As Int = clv1.GetItemFromView(Sender)
	Dim pnl As B4XView = clv1.GetPanel(index)
	'Dim lbl As B4XView = dd.GetViewByName(pnl, "Label1")
	Dim chk As B4XView = dd.GetViewByName(pnl, "RadioButton1")
	
	Dim checkedItems As List
	checkedItems.Initialize
	'find all checked items.
	For i = 0 To clv1.GetSize - 1
		Dim chk As B4XView = dd.GetViewByName(clv1.GetPanel(i), "RadioButton1")
		If chk.Checked Then
			checkedItems.Add(clv1.GetValue(i))
		End If
	Next
	Log("Checked items: " & checkedItems)
	Sleep(500)
	
End Sub

